Doomsday Engine - Bug #1705

Flickering light decoration on moving platform
2014-01-03 23:52 - vermil

Status: Closed Start date: 2014-01-03
Priority: Normal % Done: 100%
Assignee: skyjake

Category: Regression

Target version: 1.14.1

Description

At the start of TNT Map06, is a moving platform that uses a flat that Dday's default defs attach dlights to.

As the platform moves, they notably flicker. Also looking at them seems to cause a little slowdown.

Associated revisions

Revision 8ff55a23 - 2014-04-21 21:09 - skyjake

Fixed|Renderer: Moving planes need decoration update on every frame
Whenever a plane's smoothed height changes, the surface needs to be
marked for decoration update so light decorations on the plane will

be correctly placed during the move.

IssuelD #1705

Revision bf4a6909 - 2014-04-21 21:10 - skyjake

Fixed|Renderer: Moving planes need decoration update on every frame
Whenever a plane's smoothed height changes, the surface needs to be
marked for decoration update so light decorations on the plane will

be correctly placed during the move.

IssuelD #1705

History

#1 - 2014-04-21 20:11 - skyjake

- Tags set to Renderer, Lights

- Category set to Regression

- Status changed from New to In Progress
- Assignee set to skyjake

- Target version set to 1.14.1

#2 - 2014-04-21 20:11 - skyjake

- Subject changed from Flicking dlights on moving platforms? to Flickering light decoration on moving platform

#3 - 2014-04-21 21:10 - skyjake
- Status changed from In Progress to Closed

- % Done changed from 0 to 100
